> ## Documentation Index
> Fetch the complete documentation index at: https://docs.masivo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List ticket assignees

> List the active assignee records for a ticket.



## OpenAPI

````yaml GET /tickets/{id}/assignees
openapi: 3.0.1
info:
  title: Masivo's REST API
  description: Learn how to use Masivo's REST API
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://app.masivo.ai/api/storefront/v1
security:
  - bearerAuth: []
paths:
  /tickets/{id}/assignees:
    get:
      description: List the active assignee records for a ticket.
      parameters:
        - in: header
          name: x-account-id
          description: The account that owns the ticket
          required: true
          schema:
            type: string
            format: uuid
        - in: path
          name: id
          description: The ticket unique identifier
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Active assignee records
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/TicketAssigneeRecord'
        '400':
          description: Ticket not found or not owned by the account
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    TicketAssigneeRecord:
      type: object
      description: Canonical assignment record stored in the ticket_assignees table.
      properties:
        id:
          type: string
          format: uuid
        account_id:
          type: string
          format: uuid
        ticket_id:
          type: string
          format: uuid
        user_id:
          type: string
          format: uuid
        role:
          type: string
          enum:
            - assignee
            - watcher
        assigned_by_user_id:
          type: string
          format: uuid
        assigned_at:
          type: string
          format: date-time
        removed_at:
          type: string
          format: date-time
          nullable: true
        removed_by_user_id:
          type: string
          format: uuid
          nullable: true
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
        deleted_at:
          type: string
          format: date-time
          nullable: true
    Error:
      required:
        - error
        - details
      type: object
      properties:
        error:
          type: string
        details:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````